> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/master-keys/get-master-key-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Get master key details GET https://alephant.io/api/v1/master-keys/{id} Returns a single master key. Requires workspace membership. Reference: https://developers.alephant.io/api-reference/saa-s-api/master-keys/get-master-key-details ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Path parameters - `id` (string, required) — Master key UUID ### Headers - `Authorization` (string, required) — Bearer \{access\_token} - `X-Workspace-Id` (string, required) — Workspace UUID ## Response ### 200 data: master key - `baseUrl` (string, optional) - `createdAt` (string, optional) - `departments` (list of string, optional) - `id` (string, optional) - `label` (string, optional) - `lastUsedAt` (string, optional) - `lastVerifiedAt` (string, optional) - `maskedKey` (string, optional) - `provider` (string, optional) - `requests` (integer, optional) - `spend` (double, optional) - `status` (string, optional) - `updatedAt` (string, optional) ## Errors ### 400 Bad Request Error BAD_REQUEST - `map from string to any` ### 401 Unauthorized Error AUTH_TOKEN_EXPIRED - `map from string to any` ### 403 Forbidden Error FORBIDDEN - `map from string to any` ### 404 Not Found Error NOT_FOUND - `map from string to any` ## Examples **Response** ```json { "baseUrl": "string", "createdAt": "string", "departments": [ "string" ], "id": "string", "label": "string", "lastUsedAt": "string", "lastVerifiedAt": "string", "maskedKey": "string", "provider": "string", "requests": 1, "spend": 1.1, "status": "string", "updatedAt": "string" } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/master-keys/id" headers = { "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" } response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/master-keys/id'; const options = { method: 'GET', headers: {Authorization: 'Authorization', 'X-Workspace-Id': 'X-Workspace-Id'} }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/master-keys/id" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Authorization") req.Header.Add("X-Workspace-Id", "X-Workspace-Id") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/master-keys/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' request["X-Workspace-Id"] = 'X-Workspace-Id' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/master-keys/id") .header("Authorization", "Authorization") .header("X-Workspace-Id", "X-Workspace-Id") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/master-keys/id', [ 'headers' => [ 'Authorization' => 'Authorization', 'X-Workspace-Id' => 'X-Workspace-Id', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/master-keys/id"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); request.AddHeader("X-Workspace-Id", "X-Workspace-Id"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Authorization", "X-Workspace-Id": "X-Workspace-Id" ] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/master-keys/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```